# 组件汇总表

| 序号 | 组件名                                                                       | 组件用途                                                                                                    | 贡献人 |
| :--: | :--------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------- | :--- |
|  1  | [DatePicker](./src/components/antd/DatePicker.tsx)                              | 嵌入了dayjs的日期选择器                                                                                     | |
|  2  | [category-axis-charts](./src/components/category-axis-charts/readme.md)         | x轴为离散值的统计图                                                                                         | |
|  3  | [closable-tabs](./src/components/category-axis-charts/readme.md)                | 不含url页面跳转的可关闭页签                                                                                 | |
|  4  | [color-select](./src/components/color-select/readme.md)                         | 颜色选择器                                                                                                  | |
|  5  | [components-tabbar](./src/components/components-tabbar/readme.md)               | 可对应切换路由的页签                                                                                        | |
|  6  | [context-menu-fc](./src/components/context-menu/context-menu-fc.md)             | 右键菜单组件ContextMenuFC                                                                                   | |
|  7  | [context-menu-wrapper](./src/components/context-menu/context-menu-wrapper.md)   | 右键菜单包裹组件ContextMenuWrapper                                                                          | |
|  8  | [download-panel&amp;download-button](./src/components/download-panel/readme.md) | 下载文件通用组件DownloadPanel与DownloadButton                                                               | |
|  9  | [drag-modal](./src/components/drag-modal/DragModal.tsx)                         | 通用组件-可拖拽对话框                                                                                       | |
|  10  | [droppable-wrapper](./src/components/droppable-wrapper/readme.md)               | 拖拽容器组件                                                                                                | |
|  11  | [editable-cell](./src/components/editable-cell/readme.md)                       | antd Table组件的通用可编辑单元格editable-cell                                                               | |
|  12  | [export-data-to-xlsx](./src/components/export-data-to-xlsx/readme.md)           | 导出xlsx文件组件                                                                                            | |
|  13  | [import-data-from-xlsx](./src/components/import-data-from-xlsx/readme.md)       | 可上传一个xlsx文件，将文件的数据结构转化为json或者array                                                     | |
|  14  | [multi-tag-select](./src/components/multi-tag-select/readme.md)                 | 多选标签组件，鼠标点击某个标签可相应切换状态                                                                | |
|  15  | [photo](./src/components/photo/readme.md)                                       | 可指定若干照片的url，在页面展示这些照片（同时只会展示一张，会自动切换）                                     | |
|  16  | [resizer](./src/components/resizer/readme.md)                                   | 竖直与水平高度调整器组件                                                                                          | |
|  17  | [stats-panel](./src/components/stats-panel/readme.md)                           | 监听当前页面的性能并展示（严格来说这只是一个类，不是组件）                                                  | |
|  18  | [time-axis-charts](./src/components/time-axis-charts/readme.md)                 | 分multi-line-chart与mutil-echart两个组件，均可用于绘制x轴为时间轴的统计图，两个组件分别依赖antv/g2与echarts | |
|  19  | [upload-dragger](./src/components/upload-dragger/readme.md)                     | 可实现本地文件的拖拽上传。同时可拖入文件夹，实现文件夹中所有文件与文件夹的上传                              | |
|  20  | [upload-panel&amp;upload-button](./src/components/upload-panel/readme.md)       | 上传文件到服务器端通用组件UploadPanel与上传按钮组件UploadButton      
|  21  | [CustomLink](./src/components/custom-link/readme.md)       |           自定义Link组件                                 | |
|  22  | [CustomDivider](./src/components/divider/readme.md)       | 分割线组件（可选垂直、水平）    | |
|  23  | [CustomList](./src/components/list/readme.md)       | 展示主题的列表组件    | |
|  24  | [SystemNavigation](./src/components/system-navigation/readme.md)       | 系统导航栏，根据传入的参数，按上下布局，分别展示logo和系统选项、底部选项    | |
|  25  | PanZoomRotate       | 可鼠标旋转平移缩放的显示图元组件，不方便抽出，详见项目tevaluate-web的common文件夹    | 朱世宇 |

# 样式说明

样式文件放置于style文件夹中，现在不在index.less中默认导入，当项目需要引入样式时，请在需要引入的项目的最外层less文件中写上：
```less
@import '~antd/dist/antd.less';
@import '~tncet-common/src/style/ant-design.less';
@import '~tncet-common/src/style/tn-themes.less';
```
