import './context-menu-modal.less';
import { CSSProperties, ReactNode } from 'react';
import React from 'react';
interface IProps {
    left?: number;
    top?: number;
    autoAdjust?: boolean;
    width?: number;
    visible?: boolean;
    mask?: boolean;
    wrapperClassname?: string;
    children?: React.ReactNode;
    forceRender?: boolean;
    onCancel?: () => void;
    onEscape?: () => void;
    onRightClick?: (e: React.MouseEvent) => void;
    maskStyle?: CSSProperties;
    modalRender?: (modal: ReactNode) => ReactNode;
}
declare function ContextMenuFC(props: IProps): React.ReactPortal;
declare namespace ContextMenuFC {
    var defaultProps: {
        mask: boolean;
        forceRender: boolean;
        left: number;
        top: number;
        autoAdjust: boolean;
    };
}
export default ContextMenuFC;
