import { AxiosResponse } from "axios";
import React from "react";
import './download-panel.less';
interface Iprops {
    getFileUrl?: (params?: {}) => Promise<AxiosResponse<any>>;
    downloadContext: React.Context<DownloadState>;
}
export interface DownloadState {
    files: DownloadFile[];
    visible: boolean;
    startDownload: (file: DownloadFile[], onCloseCallbackFn?: () => void) => void;
    onEnd: () => void;
}
export interface DownloadFile {
    objectName?: string;
    bucketName?: string;
    filename: string;
    suffix: string;
    url?: string;
}
export declare const useDownloadService: () => DownloadState;
declare function DownloadPanel(props: Iprops): JSX.Element;
declare namespace DownloadPanel {
    var defaultProps: {};
}
export default DownloadPanel;
