/// <reference types="react" />
export interface MultiDataPoint extends DataPoint {
    name?: string;
}
export interface DataPoint {
    time?: number;
    value?: number;
}
interface IProps {
    q_data: MultiDataPoint[];
    precision: number;
    width?: number;
    height?: number;
    type?: string;
    padding?: {
        left?: number | string;
        right?: number | string;
        top?: number | string;
        bottom?: number | string;
    };
}
declare function MultiEChart(props: IProps): JSX.Element;
declare namespace MultiEChart {
    var defaultProps: {
        q_data: any[];
        precision: number;
        height: number;
        type: string;
        padding: {};
    };
}
export default MultiEChart;
