/// <reference types="react" />
import { AxiosResponse } from 'axios';
import { RcFile } from "antd/lib/upload";
import { FileUploadParam } from "./upload-panel";
interface Iprops {
    file: RcFile;
    onComplete: () => void;
    callbackFn: (param: FileUploadParam) => Promise<any>;
    stopSignal: boolean;
    checkFileExists: (md5: string, params?: {}) => Promise<AxiosResponse<any>>;
    getUploadUrl: (objectName: string, params?: {}) => Promise<AxiosResponse<any>>;
}
export default function UploadFilePanelItem(props: Iprops): JSX.Element;
export {};
