import { RcFile } from 'antd/lib/upload';
import { AxiosResponse } from 'axios';
import './upload-panel.less';
import React from 'react';
interface IProps {
    checkFileExists: (md5: string, params?: {}) => Promise<AxiosResponse<any>>;
    getUploadUrl: (key: string, params?: {}) => Promise<AxiosResponse<any>>;
    uploadContext: React.Context<UploadFileState>;
}
interface IProps {
    checkFileExists: (md5: string, params?: {}) => Promise<AxiosResponse<any>>;
    getUploadUrl: (key: string, params?: {}) => Promise<AxiosResponse<any>>;
    uploadContext: React.Context<UploadFileState>;
}
export interface UploadFileLocale {
    file: RcFile;
    callbackFn: (param: FileUploadParam) => Promise<any>;
}
export interface UploadFileState {
    files: UploadFileLocale[];
    visible: boolean;
    startUpload: (files: UploadFileLocale[]) => void;
    onEnd: (value: number) => void;
    count: number;
}
export interface FileUploadParam {
    md5: string;
    suffix: string;
    filePath: string;
    name: string;
    type?: number;
    replaceId?: number;
    fileSize: number;
}
export declare const useUploadService: () => UploadFileState;
export default function UploadPanel(props: IProps): JSX.Element;
export {};
