import { Dayjs } from 'dayjs';
import dayjsGenerateConfig from 'rc-picker/es/generate/dayjs';
import generatePicker from 'antd/es/date-picker/generatePicker';
import 'antd/es/date-picker/style/index';

/**
 * 通用组件-内置了dayjs的日期选择器
 * 
 * 部分参数：
 * @param showTime: { minuteStep: number, showHour: boolean, showMinute: boolean, showSecond: boolean }
 * @param onChange: () => void
 * @param format: string  //输出格式
 * @param placeholder: string   //未选择时间是的占位符
 */

const DatePicker = generatePicker<Dayjs>(dayjsGenerateConfig);

export default DatePicker;