import classNames from 'classnames';
import './index.less'
import React from 'react'

interface Iprops {
    vertical?: boolean // 垂直
}
export default function CustomDivider(props: Iprops) {
    return (
        <div className={classNames({
            "tn-horizontal-divider": !props.vertical,
            "tn-vertical-divider": props.vertical,
        })} >
        </div>
    )
}