# 分割线

## 1.功能说明

区隔内容的分割线

## 2.组件依赖

无

## 3.组件接口

```tsx
interface Iprops {
    vertical?: boolean // 是否是垂直分割线
}
```
## 4.案例

1)导入组件

```tsx
import CustomDivider from './common/divider';
```

2)使用

```tsx
<CustomDivider/> //默认为水平分割线
<CustomDivider vertical={true}/>
<CustomDivider vertical={false}/>
```
