# 列表组件

## 1.功能说明

展示主题的列表

## 2.组件依赖

无

## 3.组件接口

```tsx
interface Iprops<T> {
    dataSource?: T[], // 列表数据源
    key?: string, // 作为item唯一的key的字段
    title?: string, // item的主题字段
}
```
## 4.案例
```tsx
let users = [
    { id: 1, name: "张三" },
    { id: 2, name: "李四" },
]
<CustomList dataSource={users} key="id" title="name" />
```