/// <reference types="react" />
export interface CateGoryData {
    axisName: string;
    legendName?: string;
    value: number;
}
interface IProps {
    q_data: CateGoryData[];
    precision: number;
    width?: number;
    height?: number;
    type?: string;
    color?: string;
    padding?: {
        left?: number | string;
        right?: number | string;
        top?: number | string;
        bottom?: number | string;
    };
}
declare function CategoryEChart(props: IProps): JSX.Element;
declare namespace CategoryEChart {
    var defaultProps: {
        q_data: any[];
        precision: number;
        height: number;
        type: string;
        color: string;
        padding: {};
    };
}
export default CategoryEChart;
