import React, { Component } from 'react';
import './context-menu-modal.less';
interface IProps {
    left?: number;
    top?: number;
    bottom?: number;
    right?: number;
    width?: number;
    visible?: boolean;
    mask?: boolean;
    wrapperClassname?: string;
    children?: React.ReactNode;
    forceRender?: boolean;
    onCancel?: () => void;
    onEscape?: () => void;
    onRightClick?: () => void;
}
interface IState {
    container: HTMLElement;
}
export default class ContextMenuModal extends Component<IProps, IState> {
    ref: React.RefObject<HTMLDivElement>;
    static defaultProps: {
        mask: boolean;
        forceRender: boolean;
    };
    state: {
        container: any;
    };
    visible: boolean;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    onClick: (event: any) => void;
    onRightClick: (event: any) => void;
    checkClickInBound: (event: any) => boolean;
    onKeyup: (event: any) => void;
    render(): React.ReactPortal;
}
export {};
