import React, { CSSProperties } from "react";
import './context-menu-wrapper.less';
interface Iprops {
    visible?: boolean;
    width?: number;
    height?: number;
    children?: React.ReactNode;
    container?: React.ReactNode;
    closable?: boolean;
    onVisibleChange?: (visible: boolean) => void;
    maskStyle?: CSSProperties;
    wrapperClassname?: string;
    disabled?: boolean;
}
declare function ContextMenuWrapper(props: Iprops): JSX.Element;
declare namespace ContextMenuWrapper {
    var defaultProps: {
        width: number;
        closable: boolean;
    };
}
export default ContextMenuWrapper;
