import { CSSProperties } from "react";
import { ReactNode } from "react";
import './index.less';
declare type WrapperType = 'default' | 'tr';
interface Iprops<T> {
    children?: ReactNode;
    className?: string;
    onItemDrop?: (value: T) => void;
    accept?: string[] | string;
    style?: CSSProperties;
    canDrop?: boolean;
    canDrag?: boolean;
    nodeType: WrapperType;
    dragType?: string;
    value?: T;
}
declare function DroppableWrapper<T>({ children, className, onItemDrop, accept, style, canDrop, canDrag, nodeType, dragType, value, ...restProps }: Iprops<T>): JSX.Element;
declare namespace DroppableWrapper {
    var defaultProps: {
        canDrop: boolean;
    };
}
export default DroppableWrapper;
