import { SpaceSize } from "antd/lib/space";
import { CSSProperties } from "react";
import './index.less';
export interface TagParam {
    color?: string;
    backgroundColor?: string;
    name: string;
    tag: number;
}
interface MultiTagSelectProps {
    tags?: number[] | number;
    params?: TagParam[];
    paramGroups?: TagParam[][];
    showChecked?: boolean;
    spaceSize?: SpaceSize;
    single?: boolean;
    themeColor?: string;
    lock?: boolean;
    onChange?: (value: number[] | number) => void;
    style?: CSSProperties;
}
declare const MultiTagSelect: {
    (props: MultiTagSelectProps): JSX.Element;
    defaultProps: {
        tags: any[];
        params: any[];
        single: boolean;
    };
};
export default MultiTagSelect;
